Package org.opengis.cite.iso19142

# Enum Class ExceptionCode

java.lang.Object
java.lang.Enum<ExceptionCode>
org.opengis.cite.iso19142.ExceptionCode

All Implemented Interfaces:
  `Serializable`, `Comparable<ExceptionCode>`, `Constable`

public enum ExceptionCode extends Enum<ExceptionCode>
An enumerated type defining OGC exception codes that appear in an exception report. Each error code has an associated HTTP status code.

See Also:
  - "OGC 09-025r2, Table D.2"

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `INVALID_PARAM_VALUE`
  OGC 06-121r3, Table 25.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `ogcCode()`
  `int`
  `statusCode()`
  `static ExceptionCode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ExceptionCode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### INVALID_PARAM_VALUE

    public static final ExceptionCode INVALID_PARAM_VALUE
    OGC 06-121r3, Table 25.

- ## Method Details

  - ### values

    public static ExceptionCode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ExceptionCode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### ogcCode

    public String ogcCode()

  - ### statusCode

    public int statusCode()